import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';

class PlayerPage extends StatefulWidget {
  final Tivio _tivio;

  PlayerPage(this._tivio);

  @override
  _PlayerPageState createState() => _PlayerPageState();
}

class _PlayerPageState extends State<PlayerPage> {
  TivioPlayerController _tivioPlayerController;

  @override
  void initState() {
    super.initState();
    initializeTivio();
  }

  initializeTivio() async {
    _tivioPlayerController = TivioPlayerController();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Player'),
      ),
      body: Container(
        child: Column(
          children: [
            TivioPlayer(
              playerId: '1',
              tivio: widget._tivio,
              controller: _tivioPlayerController,
            ),
            Column(
              children: [
                TextButton(
                  onPressed: () {
                    _tivioPlayerController.openAndPlay(
                      TivioPlayerChannelSource(
                        'https://cdn1.tiv.io/raw/xxW7ifg8dbNM17tgcwmp/Ďatelinka%20vs.%20Hošek.mp4/playlist.m3u8',
                        'Ďatelinka vs. Hošek',
                        Duration(),
                        Duration(milliseconds: 1194040),
                      ),
                    );
                  },
                  child: Text('Peňáz vs. Debienne'),
                ),
                TextButton(
                  onPressed: () {
                    _tivioPlayerController.openAndPlay(
                      TivioPlayerChannelSource(
                        'https://cdn1.tiv.io/raw/q4LDHFNA0iiU9YAh8tPk/OKTAGON 19_ Vémola vs. Mikulášek.mp4/playlist.m3u8',
                        'OKTAGON 19 Vémola vs Mikulášek',
                        Duration(),
                        Duration(milliseconds: 102000),
                      ),
                    );
                  },
                  child: Text('Szabová vs. Zouak'),
                ),
              ],
            )
          ],
        ),
      ),
    );
  }
}
