import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';
import '../../widgets/list_videos.dart';

class ChannelListVideos extends StatefulWidget {
  final TivioDataChannel _tivioDataChannel;

  ChannelListVideos(this._tivioDataChannel);

  createState() => _ChannelListVideosState();
}

class _ChannelListVideosState extends State<ChannelListVideos> {
  List<TivioDataVideo> _videos = [];

  @override
  void initState() {
    super.initState();
    fetchRecentVideos();
  }

  fetchRecentVideos() async {
    var videos = await this.widget._tivioDataChannel.getRecentVideos();

    setState(() {
      _videos = videos;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          'channel ${this.widget._tivioDataChannel.name} recent videos:',
          style: TextStyle(
            fontSize: 18,
            fontWeight: FontWeight.bold,
          ),
        ),
        ListVideos(_videos),
      ],
    );
  }
}

class ChannelRecentVideos extends StatefulWidget {
  final TivioDataWidget _tivioDataWidget;

  ChannelRecentVideos(this._tivioDataWidget);

  @override
  createState() => _ChannelRecentVideosState();
}

class _ChannelRecentVideosState extends State<ChannelRecentVideos> with TivioChannels {
  @override
  void initState() {
    super.initState();
    initializeTivioChannels(this.widget._tivioDataWidget);
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        ...tivioChannels.entries.map((e) => ChannelListVideos(e.value)).toList(),
      ],
    );
  }
}
