import 'package:flutter/material.dart';
import 'package:tivio_sdk/tivio.dart';
import './channel_recent_videos.dart';
import '../../widgets/list_videos.dart';

class WidgetListVideos extends StatefulWidget {
  final TivioDataWidget _tivioDataWidget;

  WidgetListVideos(this._tivioDataWidget);

  createState() => _WidgetListVideosState();
}

class _WidgetListVideosState extends State<WidgetListVideos> {
  List<TivioDataVideo> _videos = [];

  @override
  void initState() {
    super.initState();
    fetchRecentVideos();
  }

  fetchRecentVideos() async {
    var videos = await this.widget._tivioDataWidget.getRecentVideos();

    setState(() {
      _videos = videos;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          'widget ${this.widget._tivioDataWidget.name} recent videos:',
          style: TextStyle(
            fontSize: 18,
            fontWeight: FontWeight.bold,
          ),
        ),
        ListVideos(_videos),
        ChannelRecentVideos(this.widget._tivioDataWidget),
      ],
    );
  }
}

class WidgetRecentVideos extends StatefulWidget {
  final Tivio _tivio;

  WidgetRecentVideos(this._tivio);

  @override
  createState() => _WidgetRecentVideosState();
}

class _WidgetRecentVideosState extends State<WidgetRecentVideos> with TivioWidget {
  @override
  void initState() {
    super.initState();
    initializeTivioWidget('widget1', this.widget._tivio);
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: (tivioWidget != null) ? [WidgetListVideos(tivioWidget)] : [],
    );
  }
}
