import 'package:flutter/material.dart';
import '../dto.dart';

mixin TivioSections<T extends StatefulWidget> on State<T> {
  TivioDataChannel _tivioDataChannel;
  var tivioSections = Map<String, TivioDataSection>();

  initializeTivioSections (TivioDataChannel tivioDataChannel) {
    _tivioDataChannel = tivioDataChannel;
    return subscribeToTivioSections();
  }

  subscribeToTivioSections() {
    return this._tivioDataChannel.subscribeToSections((section) {
      setState(() {
        tivioSections[section.id] = section;
      });
    });
  }

  fetchTivioWidgets({int count = 10}) async {
    return TivioDataPagination<TivioDataSection>([], false);
  }

  @override
  void dispose() {
    super.dispose();
    if (_tivioDataChannel != null) {
      _tivioDataChannel.unsubscribeToSections();
    }
  }
}
