import '../utils/enum.dart';

enum TivioPlayerWrapperInputSourceType {
  Vod,
  Channel,
  Advertisement,
}

class TivioPlayerInputSource {
  final String uri;
  final String name;
  final Duration from;
  final Duration to;
  final bool canSeek;
  final TivioPlayerWrapperInputSourceType type;

  TivioPlayerInputSource(this.uri, this.name, this.from, this.to, this.type, this.canSeek);

  toObject () {
    return {
      'uri': this.uri,
      'name': this.name,
      'from': this.from.inMilliseconds,
      'to': this.to.inMilliseconds,
      'type': enumToString(this.type),
      'canSeek': this.canSeek,
    };
  }
}

class TivioPlayerChannelSource extends TivioPlayerInputSource {
  final String uri;
  final String name;
  final Duration from;
  final Duration to;

  TivioPlayerChannelSource(this.uri, this.name, this.from, this.to) : super(uri, name, from, to, TivioPlayerWrapperInputSourceType.Channel, true);
}

class TivioPlayerAdSource extends TivioPlayerInputSource {
  final String uri;
  final String name;
  final Duration duration;

  TivioPlayerAdSource(this.uri, this.name, this.duration) : super(uri, name, Duration(), duration, TivioPlayerWrapperInputSourceType.Advertisement, false);
}
